mail/meli - The NetBSD Packages Collection

Terminal mail client

meli aims for configurability and extensibility with sane defaults.
It seeks to be a mail client for both new and power users of the terminal, but
built today.

A variety of email workflows and software stacks should be usable with meli.
Integrate e-mail storage, sync, tagging system, SMTP client, contact management
and editor of your choice to replace the defaults.

features:
-email threads
-multithreaded
-embed your own editor
-plain text configuration
-multi-tasking with UI tabs
-IMAP, Maildir, notmuch, JMAP, mbox
-optional sqlite3 index search
-fast and minimal account configuration
-contact list (+read-only vCard support)
-forced UTF-8 - other encodings are read-only

Build dependencies

lang/rust x11/xcb-proto x11/xorgproto pkgtools/cwrappers textproc/py-expat lang/python39 devel/glib2-tools devel/pkgconf

Runtime dependencies

security/gnupg2 x11/libxcb security/gpgme sysutils/dbus mail/notmuch devel/pcre2 security/gpgme mail/notmuch devel/pcre2

Binary packages

OSArchitectureVersion
NetBSD 9.0x86_64meli-0.7.1.tgz
NetBSD 9.0x86_64meli-0.7.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.